Subject: [bug#34025] [PATCH] Update meson to 0.49.0

From: Efraim Flashner <[email-masked]>
Date: Thu, 10 Jan 2019 09:24:27 +0200

On Wed, Jan 09, 2019 at 08:02:47PM -0500, Leo Famulari wrote:
> On Wed, Jan 09, 2019 at 03:50:58PM -0700, Stuart Dilts wrote:
> > * gnu/packages/build-tools.scm: update the version and sha256 hash
> 
> Thank you for sending this patch!
> 
> We actually already have this change on the 'staging' branch [0], in commit
> f06fdbae8d6318fdabf9c1eb686e2bfa2b9ff18a.
> 
> Updating meson will trigger a rebuild of all the packages that use the
> meson-build-system.
> 
> I'm not sure how to find out exactly how many packages directly and
> indirectly depend on the meson-build-system, but since the change was
> pushed to the staging branch, it's probably more than 300, which is the
> limit for changes on the master branch.
> 

guix refresh -l -e '(@@ (gnu packages build-tools) meson-for-build)'

another one that I've triggered accidentally is libva

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted